package com.yihu.jw.entity.hospital.message;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @author zmk
 * @vsrsion 1.0
 * Created at 2019/11/13
 */
@Entity
@Table(name = "base_banner_doctor")
public class BaseBannerDoctorDO extends UuidIdentityEntityWithOperator {

    /**
     *锦旗id
     */
    private String bannerId;

    /**

     *医生code
     */
    private String doctor;
    /**
     *医生名称
     */
    private String doctorName;
    /**
     *患者id
     */
    private String patientId;
    /**
     *患者名称
     */
    private String patientName;
    /**
     *业务id
     */
    private String relationCode;
    /**
     *业务名称
     */
    private String relationName;
    /**
     *内容
     */
    private String content;
    /**
     *给医生送锦旗1/评价送锦旗0
     */
    private Integer relationType;

    @Transient
    private List<BaseBannerDO> baseBannerDO;

    public Integer getRelationType() {
        return relationType;
    }

    public void setRelationType(Integer relationType) {
        this.relationType = relationType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }
    @Column(name = "relation_name")
    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String rerelationName) {
        this.relationName = rerelationName;
    }
    @Column(name = "banner_id")
    public String getBannerId() {
        return bannerId;
    }

    public void setBannerId(String bannerId) {
        this.bannerId = bannerId;
    }
    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }
    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }


    @Transient
    public List<BaseBannerDO> getBaseBannerDO() {
        return baseBannerDO;
    }

    public void setBaseBannerDO(List<BaseBannerDO> baseBannerDO) {
        this.baseBannerDO = baseBannerDO;
    }
}
